

const APP_DISPLAY_NAME    = "QArchive.org web files checker";
const APP_NAME            = "qa-ant";
const APP_PACKAGE         = "/tmservices/qa-ant";
const APP_VERSION         = "1.0";

const localeList =  new Array( "en-US");

const APP_JAR_FILE        = "qa-ant.jar";
const APP_CONTENT_FOLDER  = "content/";

const APP_SUCCESS_MESSAGE = "New menu item appears in the link context menu.\n\n";

var chromef, chromeFlag;

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

chromef = getFolder("Profile", "chrome");
chromeFlag = PROFILE_CHROME;

setPackageFolder(chromef);
var err = addFile("TM_Services", APP_VERSION, "chrome/" + APP_JAR_FILE, chromef, null);

if (err == SUCCESS) 
{ 
	var jar = getFolder(chromef, APP_JAR_FILE);

	registerChrome(CONTENT | chromeFlag, jar, APP_CONTENT_FOLDER);

	for ( var i = 0; i < localeList.length; ++i)
	{
		var localeFolder = "locale/" + localeList[i] + "/qa-ant/";
		var rcres = registerChrome(Install.LOCALE  | chromeFlag, jar, localeFolder);
	}	

	err = performInstall();

	if(err == SUCCESS || err == 999) 
	{
		alert(APP_NAME + " " + APP_VERSION + " has been succesfully installed.\n"
			+APP_SUCCESS_MESSAGE
			+"Please restart your browser before continuing.");
	} 
	else 
   	{ 
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} 
else 
{
	alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to phoenix/chrome directory). \n");
	cancelInstall(err);
}


